Skip to main content
POST
/
api
/
v1
/
reconciliations
/
start
Mutabakatı başlat
curl --request POST \
  --url https://vpos-sandbox.payven.com.tr/api/v1/reconciliations/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "period_start": "2023-11-07T05:31:56Z",
  "period_end": "2023-11-07T05:31:56Z",
  "bank_transactions": [
    {
      "bank_transaction_id": "<string>",
      "amount": 123,
      "status": "<string>",
      "transaction_date": "2023-11-07T05:31:56Z",
      "merchant_external_id": "<string>",
      "auth_code": "<string>"
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope": "<string>",
  "connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connector_config_name": "<string>",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_name": "<string>",
  "bank_code": "<string>",
  "period": "<string>",
  "period_start": "2023-11-07T05:31:56Z",
  "period_end": "2023-11-07T05:31:56Z",
  "reconciliation_date": "2023-12-25",
  "total_db_transactions": 123,
  "total_bank_transactions": 123,
  "matched_count": 123,
  "amount_mismatch_count": 123,
  "status_mismatch_count": 123,
  "orphan_db_count": 123,
  "orphan_bank_count": 123,
  "resolved_count": 123,
  "ignored_count": 123,
  "total_db_amount": 123,
  "total_bank_amount": 123,
  "overall_status": "<string>",
  "finalized_at": "2023-11-07T05:31:56Z",
  "finalized_by": "<string>",
  "notes": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "details": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reconciliation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bank_transaction_id": "<string>",
      "db_amount": 123,
      "bank_amount": 123,
      "db_status": "<string>",
      "bank_status": "<string>",
      "discrepancy": "<string>",
      "detail_status": "<string>",
      "resolution_action": "<string>",
      "adjusted_amount": 123,
      "applied_status": "<string>",
      "resolved_at": "2023-11-07T05:31:56Z",
      "resolved_by": "<string>",
      "remarks": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

application/json
scope
enum<string>
Available options:
Connector,
Merchant
connector_config_id
string<uuid> | null
merchant_id
string<uuid> | null
period
enum<string>
Available options:
Daily,
Monthly,
Yearly,
Custom
period_start
string<date-time>
period_end
string<date-time> | null
bank_transactions
object[] | null

Response

Created

id
string<uuid>
scope
string | null
connector_config_id
string<uuid> | null
connector_config_name
string | null
merchant_id
string<uuid> | null
merchant_name
string | null
bank_code
string | null
period
string | null
period_start
string<date-time>
period_end
string<date-time>
reconciliation_date
string<date>
total_db_transactions
integer<int32>
total_bank_transactions
integer<int32>
matched_count
integer<int32>
amount_mismatch_count
integer<int32>
status_mismatch_count
integer<int32>
orphan_db_count
integer<int32>
orphan_bank_count
integer<int32>
resolved_count
integer<int32>
ignored_count
integer<int32>
total_db_amount
integer<int64>
total_bank_amount
integer<int64>
overall_status
string | null
finalized_at
string<date-time> | null
finalized_by
string | null
notes
string | null
created
string<date-time>
details
object[] | null